Subject: bug#41985: ELisp

From: Stefan Kangas <[email-masked]>
Date: Fri, 24 Jul 2020 06:48:41 -0700

tags 41985 + notabug wontfix
close 41985
thanks

Alan Mackenzie <[email-masked]> writes:

> In article <[email-masked]> you wrote:
>> Hi GNU Emacs Team,
>
>> I wonder if the GNU Emacs Team had thought of replacing the ELisp
>> scripting language with that from newLisp.?
>
> Hardly.
>
>> I took a look at newLisp documentation and must say its very easy.
>
> But it won't include facilities for manipulating editing things like
> buffers.  It would take a lot of work to replicate these in newLisp.
>
> Also, there's around 1.7 million lines of Emacs Lisp code in the Emacs
> core.  That's a lot of code to have to convert.

It is very unlikely that we will rewrite Emacs in newLisp.

I'm therefore closing this bug.

Best regards,
Stefan Kangas